-------------------------------------------------------------------------------
-- adder_opbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library adder_opbw;
use adder_opbw.All;

entity adder_opbw_0_wrapper is
  port (
    ce : in std_logic;
    opb_abus : in std_logic_vector(0 to 31);
    opb_be : in std_logic_vector(0 to 3);
    opb_clk : in std_logic;
    opb_dbus : in std_logic_vector(0 to 31);
    opb_rnw : in std_logic;
    opb_rst : in std_logic;
    opb_select : in std_logic;
    opb_seqaddr : in std_logic;
    sgp_dbus : out std_logic_vector(0 to 31);
    sgp_errack : out std_logic;
    sgp_retry : out std_logic;
    sgp_toutsup : out std_logic;
    sgp_xferack : out std_logic
  );
  attribute x_core_info : STRING;
  attribute x_core_info of adder_opbw_0_wrapper: entity is "adder_opbw_v";

end adder_opbw_0_wrapper;

architecture STRUCTURE of adder_opbw_0_wrapper is

  component adder_opbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_OPB_AWIDTH : INTEGER;
      C_OPB_DWIDTH : INTEGER
    );
    port (
      ce : in std_logic;
      opb_abus : in std_logic_vector(0 to 31);
      opb_be : in std_logic_vector(0 to 3);
      opb_clk : in std_logic;
      opb_dbus : in std_logic_vector(0 to 31);
      opb_rnw : in std_logic;
      opb_rst : in std_logic;
      opb_select : in std_logic;
      opb_seqaddr : in std_logic;
      sgp_dbus : out std_logic_vector(0 to 31);
      sgp_errack : out std_logic;
      sgp_retry : out std_logic;
      sgp_toutsup : out std_logic;
      sgp_xferack : out std_logic
    );
  end component;

begin

  adder_opbw_0 : adder_opbw
    generic map (
      C_BASEADDR => X"7fc40000",
      C_HIGHADDR => X"7fc4ffff",
      C_OPB_AWIDTH => 32,
      C_OPB_DWIDTH => 32
    )
    port map (
      ce => ce,
      opb_abus => opb_abus,
      opb_be => opb_be,
      opb_clk => opb_clk,
      opb_dbus => opb_dbus,
      opb_rnw => opb_rnw,
      opb_rst => opb_rst,
      opb_select => opb_select,
      opb_seqaddr => opb_seqaddr,
      sgp_dbus => sgp_dbus,
      sgp_errack => sgp_errack,
      sgp_retry => sgp_retry,
      sgp_toutsup => sgp_toutsup,
      sgp_xferack => sgp_xferack
    );

end architecture STRUCTURE;

